/*==========================================================================
	FULLCALENDAR
	 ========================================================================== */
/*SECTION STYLES*/
.calendar{
	position: relative;
	z-index: 1;
	width: 100%;
	margin-top: -40px;
	padding-top: 40px;
	padding-bottom: 60px;
	background: #ececec;
	@include mq('desktop', 'max') {
		padding-bottom: 40px;
	}
	&:before{
		content: '';
		display: block;
		position: absolute;
		bottom: 100%;
		left: 0;
		right: 0;
		width: 100%;
		height: 270px;
		background: url('../images/form-elem.png') no-repeat center bottom;
		background-size: cover;
		@include mq('desktop', 'max') {
			height: 150px;
		}
		@include mq('tablet', 'max') {
			height: 30px;
		}
	}
	@include mq('desktop', 'max') {
	}
	@include mq('tablet', 'max') {
	}
}
/* FULLCALENDAR */
.fullcalendar {
	max-width: 1080px;
	margin: 0 auto;
}
//top buttons
.fc{
	.fc-header-toolbar{
		//button
		.fc-button{
			position: relative;
			display: inline-block;
			vertical-align: middle;
			padding-left: 25px;
			padding-right: 25px;
			padding-top: 10px;
			padding-bottom: 10px;
			@include font-size(18px);
			color: #979797;
			border: 1px solid transparent;
			text-shadow: none;
			box-shadow: none;
			@include mq('laptop', 'max') {
				@include font-size(16px);
			}
			@include mq('tablet', 'max') {
				padding-left: 10px;
				padding-right: 10px;
				@include font-size(12px);
			}
			@include mq('tablet-small', 'max') {
				padding-top: 5px;
				padding-bottom: 5px;
			}
			@extend %buttonNull;
			&:after{
				content: '';
				position: absolute;
				bottom: 8px;
				left: 20px;
				right: 20px;
				display: inline-block;
				border-bottom: 1px dashed #979797;
				@include mq('tablet-small', 'max') {
					bottom: 4px;
					left: 8px;
					right: 8px;
				}
			}
			&:not(:last-child) {
				margin-right: 20px;
				@include mq('laptop', 'max') {
					margin-right: 10px;
				}
			}
			&:hover{
				color: $color-main-darken;
				border-color: $color-main-darken;
				&:after{
					border-bottom-color: $color-main-darken;
				}
			}
			&.active{
				color: $color-secondary;
				background-color: $color-main-darken;
				&:after{
					opacity: 0;;
				}
			}
		}
	}
}
//header
.fc-head{
	border: 0;
}
.fc-day-header{
	@include mq('phone', 'max') {
		span{
			display: inline-block;
			width: 90%;
			overflow: hidden;
			text-overflow: ellipsis;
		}
	}
}
.fc-row.fc-widget-header{
	padding-top: 15px;
	padding-bottom: 15px;
	border: 1px solid #979797;
	border-left-color: transparent;
	border-right-color: transparent;
	@include mq('tablet-small', 'max') {
		padding-top: 10px;
		padding-bottom: 10px;
	}
	thead{
		border: 0;
	}
	th{
		font-weight: 400;
		@include font-size(14px);
		text-align: center;
		color: #979797;
		border:0;
		@include mq('tablet', 'max') {
			@include font-size(11px);
		}
		@include mq('tablet-small', 'max') {
			@include font-size(9px);
		}
	}
}
.fc-view{
	table{
		border-color: transparent;
	}
}
.fc-bg{
	.fc-day{
		&:nth-child(odd) {
			background: rgba(196, 196, 196, 0.5);
		}
		&:nth-child(even) {
			background: rgba(196, 196, 196, 0.2);
		}
	}
}
.fc-row.fc-week{
	border-bottom: 1px solid #C4C4C4;
}
.fc td, .fc th{
	position: relative;
}
.fc-day-number{
	position: absolute;
	top: 40px;
	left: 0;
	right: 0;
	margin: 0 auto;
	@include font-size(80px);
	line-height: 1;
	font-weight: 600;
	text-align: center;
	color: rgba(196, 196, 196, 0.5);
	@include mq('desktop', 'max') {
		@include font-size(60px);
	}
	@include mq('laptop', 'max') {
		@include font-size(40px);
		top:24px;
	}
	@include mq('tablet', 'max') {
		top: 20px;
		@include font-size(20px);
	}
}
.fc-day-grid-event{
	cursor: pointer;
	&:hover{
		opacity: .9;
	}
}

/* SMALL */
.fullcalendar_small {
	max-width: 800px;
	&.fc {
		.fc-header-toolbar {
			.fc-button{
				padding-top: 5px;
				padding-bottom: 5px;
				@include font-size(12px);
				&:after{
					bottom: 4px;
				}
			}
		}
	}
	.fc-row.fc-widget-header {
		padding-top: 10px;
		padding-bottom: 10px;
		th{
			@include font-size(11px);
		}
	}
	.fc-day-number{
		@include font-size(50px);
		@include mq('desktop-max','max') {
			top: 25px;
			@include font-size(30px);
		}
		@include mq('desktop','max') {
			top: 20px;
			@include font-size(30px);
		}
		@include mq('laptop','max') {
			top: 35px;
			@include font-size(40px);
		}
		@include mq('tablet','max') {
			top: 20px;
			@include font-size(20px);
		}
	}
}

/* POPOVER */
#popover-wrapper{
	position: absolute;
	.popover{
		&:not(:last-child) {
			display: none !important;
		}
	}
}
.popover{
	position: relative;
	z-index: 13;
	display: block;
	padding: 10px;
	width: 250px;
	min-height: 100px;
	text-align: center;
	background: #fff;
	box-shadow: 0px 4px 50px rgba(0, 0, 0, 0.25);
	border-radius: 3px;
	transform: translateY(-50px);
	&:after{
		content: '';
		display: block;
		position: absolute;
		z-index: -1;
		top: 80%;
		left: 0;
		right: 0;
		width: 80px;
		height: 80px;
		margin-left: auto;
		margin-right: auto;
		background-color: #ffffff;
		border-radius: 3px;
		transform: rotate(45deg);
		@include mq('laptop', 'max') {
			top: 40%;
		}
	}
}
.popover-image{
	position: relative;
	width: 100%;
	height: 228px;
	overflow: hidden;
	background-color: $color-main;
	@include mq('laptop', 'max') {
		height: auto;
		background: transparent;
	}
	img{
		opacity: .6;
		@include mq('laptop', 'max') {
			display: none;
		}
	}
}
.popover__title{
	position: absolute;
	top: 18px;
	left: 18px;
	right: 18px;
	bottom: 18px;
	display: flex;
	align-items: center;
	justify-content: center;
	@include font-size(24px);
	color: #fff;
	font-weight: 600;
	border: 5px solid #FFFFFF;
	text-align: center;
	text-transform: uppercase;
	@include mq('laptop', 'max') {
		display: inline-block;
		position: relative;
		background: transparent;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		color: #000;
		width: 100%;
		font-size: 16px;
		border: 0;
	}
}
.popover__label{
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	display: block;
	width: 70px;
	margin-left: auto;
	margin-right: auto;
	padding-top: 10px;
	padding-bottom: 10px;
	padding-left: 15px;
	padding-right: 15px;
	@include font-size(14px);
	color: #fff;
	text-align: center;
	background-color: rgba($color-main, 0.6);
	@include mq('laptop', 'max') {
		position: relative;
		display: block;
		width: 100%;
		background: transparent;
		color: #000;
		line-height: 1;
		padding: 0;
	}
}
.popover-body{
	padding-top: 10px;
	padding-bottom: 10px;
	@include mq('laptop', 'max') {
		padding: 0;
	}
}
.popover-body__group{
	@include font-size(18px);
	font-weight: 300;
	color: #000;
	@include mq('laptop', 'max') {
		font-size: 14px;
	}
}
.popover-body__place{
	padding-top: 10px;
	color: $color-main-lighten;
	@include font-size(18px);
	text-transform: uppercase;
	font-weight: 600;
	span{
		text-transform: none;
	}
	@include mq('laptop', 'max') {
		font-size: 14px;
		text-transform: none;
		padding: 0;
	}
}
.popover-body__button{
	position: relative;
	display: block;
	margin-top: 10px;
	height: 53px;
	color: #fff;
	@include font-size(24px);
	font-weight: 700;
	line-height: 53px;
	background: $color-main-darken;
	border: 1px solid #FFFFFF;
	overflow: hidden;
	white-space: wrap;
	text-overflow: ellipsis;
	@extend %buttonNull;
	@include mq('laptop', 'max') {
		text-align: center;
		font-size: 16px;
		height: 30px;
		line-height: 30px;
		margin-top: 0px;
	}
	&:hover{
		background: darken($color-main-darken, 5%);
	}
}
/* end fullcalendar */
